RAMECC_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint8_t SINGLEE:1
__I uint8_t DUALE:1
__I uint8_t:6
} | bit
uint8_t | reg

## Detailed Description

Definition at line 86 of file ramecc.h.

## Field Documentation

## bit

struct { ... } RAMECC_INTFLAG_Type::bit

Structure used for bit access

## DUALE

__I uint8_t RAMECC_INTFLAG_Type::DUALE

bit: 1 Dual Bit ECC Error Interrupt

Definition at line 89 of file ramecc.h.

## reg

uint8_t RAMECC_INTFLAG_Type::reg

Type used for register access

Definition at line 92 of file ramecc.h.

## SINGLEE

__I uint8_t RAMECC_INTFLAG_Type::SINGLEE

bit: 0 Single Bit ECC Error Interrupt

Definition at line 88 of file ramecc.h.

## uint8_t

__I RAMECC_INTFLAG_Type::uint8_t

bit: 2.. 7 Reserved

Definition at line 90 of file ramecc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/ramecc.h